支持矩阵

下表显示了有资格获得我们订阅产品支持的平台 和软件配置。请进一步了解我们的 支持政策产品生命周期结束政策

没有看到您喜爱的平台、JVM 或浏览器? 联系我们

下载我们的软件需要 TLSv1.2 或更高版本。一些较旧的操作系统(或 libcurl、curl 和 apt-get 或 yum 使用的 nss 库)可能需要升级到启用 TLSv1.2 支持的版本, 才能使用软件包安装下载文件。有关详细信息,请参阅您的 操作系统文档。

Elasticsearch

Last updated: 2022-08-24

从 7.12+ 版本开始,我们将使用 x86_64 的同套分发版来支持 aarch64。

所有 Linux 操作系统都支持通过 dm-crypt 对 Elasticsearch 进行静态加密。

对列出的 Linux 分发版提供支持需要本地 Linux 安装,例如,不支持 Windows Subsystem for Linux (WSL)。

*支持所有列出版本的 RHEL 内核和从 Elasticsearch 6.8.x 开始的 Oracle UEK。

**仅限 Zip/tar.gz 存档。SLES 11 不支持 RPM 安装。

***作为我们支持流程的一部分,我们可能会要求您迁移到较新版本的 Amazon Linux。

‡ 由于 glibc 不兼容,CentOS 6、RHEL 6 和 Oracle Enterprise Linux 6 自 7.9.2 版起将不支持捆绑的 JDK 15+。

FIPS 140-2 模式需要 Oracle JDK 11 和 Bouncy Castle BCJSSE FIPS 安全提供程序

1 在低于 7.17.5 的 7.17.x 版本上不支持

Kibana

Last updated: 2022-08-24

从 7.10+ 版本开始,我们将使用 x86_64 的同套分发版来支持 aarch64

对列出的 Linux 分发版提供支持需要本地 Linux 安装,例如,不支持 Windows Subsystem for Linux (WSL)。

Logstash

Last updated: 2022-08-24

从 7.14+ 版本开始,我们将使用 x86_64 的同套分发版在 Linux 上支持 aarch64

*作为我们支持流程的一部分,我们可能会要求您迁移到较新版本的 Amazon Linux

**仅限 Zip/tar.gz 存档。SLES 11 不支持 RPM 安装。

***CentOS 6、RHEL 6 和 Oracle Enterprise Linux 6 不支持 JDK 15+。

Auditbeat

Last updated: 2022-08-24

Filebeat

Last updated: 2022-08-24

Functionbeat

Last updated: 2022-08-24

Heartbeat

Last updated: 2022-06-28

Metricbeat

Last updated: 2022-08-24

Packetbeat

Last updated: 2022-08-24

Winlogbeat

Last updated: 2022-08-24

*作为我们支持流程的一部分,我们可能会要求您迁移到较新版本的 Amazon Linux。

**兼容性适用于将 Functionbeat 部署到无服务器框架的捆绑 CLI。

***真正基于浏览器的合成监测代理将以 Docker 映像的形式进行提供。

此外,我们提供 Beats 二进制文件,但不支持仅带有 RHEL 内核的 OpenSUSE Leap 42、OpenSUSE 13.2 和 Oracle Enterprise Linux 6/7。

您也可以在不支持 Linux PPC/PPC64LE、Solaris/SmartOS 和 FreeBSD 的情况下自行编译。

请注意,版本 8.0 及以上的 Beats 没有可用的 Homebrew 包。

Elastic 代理

Last updated: 2022-08-24

部分操作系统不支持某些输入和集成。请查看文档以了解详情。

从 7.16+ 版本开始,我们将使用 x86_64 的同套分发版在 Linux 上支持 aarch64

从 8.2+ 版本开始,MacOS 二进制文件支持 x86_64 和 aarch64,并兼容 Apple 的 M1 芯片组

Google 容器优化型操作系统版本:cos97-lts

Elastic Endpoint 和云安全

Last updated: 2022-08-24

*仅限 Intel/x64

Linux ARM 支持仅适用于 7.16+ 版,且需要 5.4+ 内核

** 包括 AWS Graviton 支持

Endgame 传感器

Last updated: 2022-06-28

*对于 Endgame 传感器 3.51-3.54,支持 32 位和 64 位架构;对于 3.54 之后的版本,仅支持 64 位架构(以下所述的 Windows 7 SP1 除外。)

**所有传感器版本都支持 Windows 7 SP1、64 位和 32 位系统。

除非特别说明,否则所有版本都默认支持 64 位。此外,Windows 和 Linux 操作系统不支持 ARM 处理器。支持 Apple M1 芯片组。

Elastic Cloud Enterprise

Last updated: 2022-08-24

*ECE 2.6 及以上版本未在这些平台上进行积极认证,仅酌情予以支持

不支持上述未指定的操作系统

支持的 Docker 和 Linux 内核版本:
- ECE 要求为所有内存 cgroup 禁用内核内存统计。在启动时将 `cgroup.memory=nokmem` 传递给内核即可禁用。

APM 服务器

Last updated: 2022-08-24

从 8.0+ 版本开始,我们将使用 x86_64 的同套分发版在 Linux 上支持 aarch64

*作为我们支持流程的一部分,我们可能会要求您迁移到较新版本的 Amazon Linux。

 ** 版本 8.0 及以上的 APM Server 没有可用的 Homebrew 包。

*** 已弃用对 32 位系统的支持,并会在未来的版本中移除这项支持。

App Search

Last updated: 2020-02-11

从 7.7.0 版开始,App Search 将随企业搜索包一起提供。

企业搜索

Last updated: 2022-08-24